<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.text.*?>

<AnchorPane prefHeight="800.0" prefWidth="800.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="proyecto.controller.RegistrarVentaController">
    <children>
        <VBox alignment="TOP_CENTER" prefHeight="200.0" prefWidth="100.0" spacing="10.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
            <padding>
                <Insets left="20.0" right="20.0" top="20.0" />
            </padding>
            <children>
                <Label text="REGISTRO DE VENTAS" />
                <GridPane>
                    <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                    </columnConstraints>
                    <rowConstraints>
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                    </rowConstraints>
                    <children>
                        <Label text="Id" />
                        <TextField fx:id="txtId" GridPane.columnIndex="1" />
                  <TextField fx:id="txtFecha" GridPane.columnIndex="1" GridPane.rowIndex="1" />
                  <TextField fx:id="txtValor" GridPane.columnIndex="1" GridPane.rowIndex="2" />
                  <TextField fx:id="txtCliente" GridPane.columnIndex="1" GridPane.rowIndex="3" />
                  <Label text="Fecha" GridPane.rowIndex="1" />
                  <Label prefHeight="17.0" prefWidth="62.0" text="Valor" GridPane.rowIndex="2" />
                  <Label text="Id del cliente" GridPane.rowIndex="3" />
                    </children>
                </GridPane>
                <ButtonBar prefHeight="40.0" prefWidth="200.0">
                    <buttons>
                        <Button id="Eliminar" fx:id="btnGuardar" mnemonicParsing="false" onAction="#btnGuardar_action" text="Guardar venta" />
                    </buttons>
                </ButtonBar>
                <TableView fx:id="tblVentas" prefHeight="400.0" prefWidth="200.0">
                    <columns>
                        <TableColumn fx:id="clmId" prefWidth="75.0" text="Id" />
                        <TableColumn fx:id="clmFecha" prefWidth="75.0" text="Fecha" />
                        <TableColumn fx:id="clmValor" prefWidth="75.0" text="Valor" />
                        <TableColumn fx:id="clmCliente" prefWidth="75.0" text="ID Cliente" />
                    </columns>
                    <columnResizePolicy>
                        <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
                    </columnResizePolicy>
                </TableView>
            <TextArea blendMode="SRC_ATOP" editable="false" prefHeight="100.0" prefWidth="200.0" text="-- Debe ingresar todos los datos requeridos para registrar la venta.&#10;-- La fecha debe ingresarse en el formato: DD-MM-AAAA (Incluyendo los guiones)">
               <font>
                  <Font name="Times New Roman" size="14.0" />
               </font>
            </TextArea>
            </children>
        </VBox>
    </children>



</AnchorPane>
